Authentication
User photo
The user's photo (image/jpeg). Cacheable for 30 days with the ?v= version in the path; ETag + If-None-Match → 304. 404 when there is no photo. The path comes with /me, /profile, user rows (photo) and comments (author_photo).
Authorization
AuthorizationheaderrequiredBearer token: API key (sk_…), OAuth access token (mcp_…) or mobile session (xk_…).
Scope:
crm.readPath parameters
idintegerrequiredUser id.
Errors
| HTTP | error | Meaning |
|---|---|---|
404 | not_found | Record not found. |
Request
curl https://ornek.solk.app/api/v1/users/{id}/photo \
-H "Authorization: Bearer $SOLK_API_KEY"const res = await fetch("https://ornek.solk.app/api/v1/users/{id}/photo", {
headers: {
Authorization: `Bearer ${process.env.SOLK_API_KEY}`,
},
});
const data = await res.json();import os, requests
r = requests.get(
"https://ornek.solk.app/api/v1/users/{id}/photo",
headers={"Authorization": f"Bearer {os.environ['SOLK_API_KEY']}"},
)
print(r.json())Response